#
# spec file for package python-pkgconfig
#
# Copyright (c) 2017 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/


%bcond_without tests

%{?!python_module:%define python_module() python-%{**} python3-%{**}}
Name:           python-pkgconfig
Version:        1.2.2
Release:        8.1
License:        MIT
Summary:        Interface Python with pkg-config
Url:            http://github.com/matze/pkgconfig
Group:          Development/Languages/Python
Source:         https://files.pythonhosted.org/packages/source/p/pkgconfig/pkgconfig-%{version}.tar.gz
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
BuildRequires:  %{python_module devel}
BuildRequires:  %{python_module setuptools}
%if %{with tests}
# Test requirements
BuildRequires:  %{python_module nose}
%endif
Requires:       pkg-config
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch
%python_subpackages

%description
A Python module to interface with the pkg-config
command line tool and supports Python 2.6+.

%prep
%setup -q -n pkgconfig-%{version}

%build
%python_build

%install
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%if %{with tests}
%check
%python_exec setup.py test
%endif

%files %{python_files}
%defattr(-,root,root,-)
%doc LICENSE README.rst
%{python_sitelib}/*

%changelog
* Wed Apr 19 2017 toddrme2178@gmail.com
- Update to version 1.2.2
  + No changelog available
- Implement single-spec version.
* Wed Nov 27 2013 p.drouand@gmail.com
- Update to version 1.1.0
  + No changelog available
* Wed Oct 16 2013 speilicke@suse.com
- Initial version
